// Karma configuration for end to end testing

module.exports = function(config) {
    config.set({


        basePath: '../..',

        files: [
            'test/e2e/scenarios.js',
            'test/lib/window-dialog-commands.js'
        ],

        reporters: ['progress', 'coverage', 'junit', 'osx'],

        autoWatch: true,

        browsers: ['Chrome', 'Firefox', 'Safari'],

        frameworks: ['ng-scenario'],

        singleRun: true,

        proxies: {
            '/schemacat': 'http://localhost:8080/schemacat'
        },

        plugins: [
            'karma-junit-reporter',
            'karma-chrome-launcher',
            'karma-firefox-launcher',
            'karma-safari-launcher',
            'karma-jasmine',
            'karma-coverage',
            'karma-ng-scenario',
            'karma-osx-reporter',
            'karma-spec-reporter'
        ],

        junitReporter: {
            outputFile: 'test/karma/test_out/test-results-e2e.xml',
            suite: 'e2e'
        },

        // optionally, configure the reporter
        coverageReporter: {
            type: 'html',
            dir: 'test/karma/test_out/coverage-e2e/'
        },
    });
};